org.apache.lucene.index

## Class LeafMetaData

- java.lang.Object
- - org.apache.lucene.index.LeafMetaData

-     public final class LeafMetaData
      extends Object

  Provides read-only metadata about a leaf.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LeafMetaData(int createdVersionMajor, Version minVersion, Sort sort)` Expert: Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCreatedVersionMajor()` Get the Lucene version that created this index.
    `Version` | `getMinVersion()` Return the minimum Lucene version that contributed documents to this index, or `null` if this information is not available.
    `Sort` | `getSort()` Return the order in which documents from this index are sorted, or `null` if documents are in no particular order.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LeafMetaData

          public LeafMetaData(int createdVersionMajor,
                              Version minVersion,
                              Sort sort)

      Expert: Sole constructor. Public for use by custom `LeafReader` impls.

  - ### Method Detail

    - #### getCreatedVersionMajor

          public int getCreatedVersionMajor()

      Get the Lucene version that created this index. This can be used to implement backward compatibility on top of the codec API. A return value of `6` indicates that the created version is unknown.

    - #### getMinVersion

          public Version getMinVersion()

      Return the minimum Lucene version that contributed documents to this index, or `null` if this information is not available.

    - #### getSort

          public Sort getSort()

      Return the order in which documents from this index are sorted, or `null` if documents are in no particular order.

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.